import short from "short-uuid";
import { v5 } from "uuid";
import { i } from "./hashedLinksUtils-56fW4nb1.js";
const generateHashedLink = (id) => {
  const translator = short();
  const seed = `${id}:${(/* @__PURE__ */ new Date()).getTime()}`;
  const uid = translator.fromUUID(v5(seed, v5.URL));
  return uid;
};
export {
  generateHashedLink,
  i as isLinkExpired
};
